import type { Key } from '../../../../crypto/Key';
import type { VerificationMethod } from '../verificationMethod';
import { KeyType } from '../../../../crypto';
export interface KeyDidMapping {
    getVerificationMethods: (did: string, key: Key) => VerificationMethod[];
    getKeyFromVerificationMethod(verificationMethod: VerificationMethod): Key;
    supportedVerificationMethodTypes: string[];
}
export declare function getKeyDidMappingByKeyType(keyType: KeyType): KeyDidMapping;
export declare function getKeyDidMappingByVerificationMethod(verificationMethod: VerificationMethod): KeyDidMapping;
